{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Пользователи" %}
{% set page_id = "16.0" %}


{% block heading %}
    <div class="content-header d-flex flex-wrap align-items-center justify-content-between">
        <div class="content-header__group">
            <h1 class="content-header__title mr-1 mb-50">{{ title }}</h1>
            <div class="btn-group btn-group-toggle  mb-50" data-toggle="buttons">
                <label class="btn btn-outline-primary btn-sm">
                    <input type="radio" name="user_sort" checked>
                    Все
                </label>
                <label class="btn btn-outline-primary btn-sm">
                    <input type="radio" name="user_sort">
                    Сотрудники
                </label>
                <label class="btn btn-outline-primary btn-sm">
                    <input type="radio" name="user_sort">
                    Клиенты
                </label>
            </div>
        </div>
        <div class="content-header__group mb-50">
            <button class="btn btn-primary shadow">Добавить</button>
        </div>
    </div>

{% endblock %}

{% block main %}
    <div class="card">
        <div class="card-header pb-0">
            <fieldset class="form-group position-relative has-icon-left flex-grow-1 mr-75 mb-50">
                <input type="text" class="form-control" placeholder="Поиск сотрудника">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </fieldset>
            <div class="d-flex align-items-center mb-50">
                <button type="button" class="btn btn-primary shadow mr-75">Поиск</button>
                <fieldset>
                    <select class="select2">
                        <option selected disabled>Сортировка</option>
                        <option>По возрастанию</option>
                        <option>По убыванию</option>
                        <option>Сначала новые</option>
                    </select>
                </fieldset>
            </div>
        </div><!-- .card-header -->
        <div class="card-body">
            <div class="font-size-small w-100">Всего пользователей: 49 238 </div>
            <!-- datatable start -->
            <div class="table-responsive border">
                <table class="table table-transparent table-hover table-extended-main">
                    <thead>
                    <tr>
                        <th class="text-nowrap">ID</th>
                        <th class="text-nowrap"><span class="data-name">Фамилия</span></th>
                        <th class="text-nowrap">Тип</th>
                        <th class="text-nowrap">Доступы</th>
                        <th class="text-nowrap">Последний вход</th>
                        <th class="text-nowrap">Компания</th>
                        <th class="text-nowrap text-center">Должность</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr class="row-purple font-weight-bold">
                        <td class="text-nowrap">
                            <span class="color-blue">00956</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name data-name--online">Кузнецов</span></td>
                        <td class="text-nowrap">Клиент</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1:Модуль 1, Модуль 2;  Проект 2:Модуль 2...</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">АЛРОСА</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Директор</div>
                        </td>
                    </tr>
                    <tr class="row-dark font-weight-bold">
                        <td class="text-nowrap">
                            <span class="color-blue">00349</span>
                        </td>
                        <td class="text-nowrap">Данилов</td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1:Модуль 1, Модуль 2;  Проект 2:Модуль 2...</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Мониторщик</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00853</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name data-name--online">Пушков</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1:Модуль 1, Модуль 2;  Проект 2:Модуль 2...</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Админ</div>
                        </td>
                    </tr>
                    <tr class="row-dark font-weight-bold">
                        <td class="text-nowrap">
                            <span class="color-blue">00452</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name">Петров</span></td>
                        <td class="text-nowrap">Клиент</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1:Модуль 1, Модуль 2;  Проект 2:Модуль 2...</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">ВТБ</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Директор</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00123</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name data-name--online">Федоров</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Индексации</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Мониторщик</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00853</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name">Федорова</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Индексации</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Мониторщик</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00153</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name">Егоров</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Статистика</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Админ</div>
                        </td>
                    </tr>
                    <tr class="row-red">
                        <td class="text-nowrap">
                            <span class="color-blue">00788</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name data-name--online">Алексеев</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Статистика</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Админ</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00326</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name">Кузьмин</span></td>
                        <td class="text-nowrap">Сотрудник</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Индексации</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Мониторщик</div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap">
                            <span class="color-blue">00759</span>
                        </td>
                        <td class="text-nowrap"><span class="data-name">Поляков</span></td>
                        <td class="text-nowrap">Клиент</td>
                        <td class="font-size-small"><div style="min-width: 100px;">Проект 1: Загрузка, Индексации</div></td>
                        <td class="font-size-small text-nowrap">11:21;02/02/2021</td>
                        <td class="text-nowrap">КоРаНИС</td>
                        <td class="font-size-small td-last text-center">
                            <div class="badge badge-pill badge-light-secondary">Мониторщик</div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div><!-- .table-responsive -->
            <div class="pt-1">
                <ul class="pagination justify-content-end mb-0">
                    <li class="page-item previous disabled">
                        <a class="page-link" href="javascript:void(0);">
                            <i class="bx bx-chevron-left"></i>
                        </a>
                    </li>
                    <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
                    <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
                    <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
                    <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
                    <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
                    <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
                    <li class="page-item next">
                        <a class="page-link" href="javascript:void(0);">
                            <i class="bx bx-chevron-right"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>

            <!-- datatable ends -->
        </div><!-- .card-body -->
    </div>
{% endblock %}



{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false },
                ]
            }
        );
    </script>

{% endblock %}
